%define commit dcf678068233bb4efd0449bcd003f3f435f49bd1
%define shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           python-cmdln
Version:        1.3.0
Release:        %mkrel 8
Url:            http://code.google.com/p/cmdln/
Summary:        An improved cmd.py for Writing Multi-command Scripts and Shells
License:        MIT
Group:          Development/Python
Source:         https://github.com/trentm/cmdln/archive/%{commit}/cmdln-%{version}-%{shortcommit}.tar.gz
BuildRequires:  pythonegg(2)(setuptools)
BuildArch:      noarch

%description
`cmdln.py` is an extension of Python's default `cmd.py` module that
provides "a simple framework for writing line-oriented command
interpreters".	The idea (with both cmd.py and cmdln.py) is to be able
to quickly build multi-sub-command tools (think cvs or svn) and/or
simple interactive shells (think gdb or pdb).  Cmdln's extensions make
it more natural to write sub-commands, integrate optparse for simple
option processing, and make having good command documentation easier.

%prep
%autosetup -n cmdln-%{commit}

%build
%py2_build

%install
%py2_install

%files
%doc LICENSE.txt README.md docs/ examples/
%{python2_sitelib}/cmdln-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/cmdln*



%changelog
* Thu Apr 28 2016 daviddavid <daviddavid> 1.3.0-8.mga6
+ Revision: 1007055
- use new python macros

* Fri Feb 19 2016 umeabot <umeabot> 1.3.0-7.mga6
+ Revision: 969844
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 philippem <philippem> 1.3.0-6.mga6
+ Revision: 879993
- fix build, use new macros

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-5.mga5
+ Revision: 741574
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3.0-4.mga5
+ Revision: 728189
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-3.mga5
+ Revision: 687939
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Wed Mar 05 2014 philippem <philippem> 1.3.0-1.mga5
+ Revision: 600103
- Update to 1.3.0

* Wed Nov 13 2013 philippem <philippem> 1.1.2-0.mga4
+ Revision: 550935
- imported package python-cmdln

